2025-11-12 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.45.1

2025-07-27 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.45, GOLD linker is not included in this release
	* BUILD, CONFIGURE: removed BINUTILS_LINKER handle

2025-03-21 Remko van der Vossen <wich@sourcemage.org>
	* REPAIR^*^PRE_SUB_DEPENDS: avoid bogus subdepend message for LTO

2025-02-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: switched SOURCE and SOURCE_DIRECTORY to the with-gold one

2025-02-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.44

2025-01-18 Ismael Luceno <ismael@sourcemage.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS: added LTO
	* CONFIGURE: clarified LTO option

2024-08-17 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.43.1

2024-08-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.43
	* BUILD: fix build

2024-01-29 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.42

2024-01-14 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS: needs at least bison 3.0.4

2023-12-14 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS, PRE_BUILD: make texinfo optional

2023-11-30 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS: fix zstd depends bug

2023-08-22 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add zstd
	* BUILD: add missing &&

2023-08-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.41

2023-01-14 Pavel Vinpgradov <public@sourcemage.org>
	* DETAILS: version 2.40

2022-11-25 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS: depends on cpio

2022-09-05 Ismael Luceno <ismael@sourcemage.org>
	* BUILD: fixed build against musl

2022-08-21 Pavel Vinogradov <public@sourcemage.org>
	* INSTALL: switched to find + cpio for real installation

2022-08-05 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.39

2022-02-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.38

2021-07-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.37

2021-04-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.36.1
	  previous 2.36 breaks build of gcc

2021-02-26 Thomas Orgis <sobukus@orgis.org>
	* BUILD, INSTALL: Stage the installed files in BUILD to avoid
	  any fallout of non-trivial things happening in the install target
	  after binutils having been dispelled. Fixes failure on
	  relinking libctf with defunct freshly installed ld.

2021-02-23 Remko van der Vossen <wich@sourcemage.org>
	* INSTALL: reinstate make_single, install fails on x86_64 with multiple
	  jobs leading to borked systems

2021-01-25 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.36

2020-09-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.35.1

2020-07-24 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.35

2020-02-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.34

2020-01-11 Florian Franzmann <bwlf@bandrate.org>
	* BUILD, INSTALL: disable fortify source

2019-10-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.33.1

2019-08-08 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD, INSTALL. CONFIGURE: allow choice of default linker
	  support LTO
	  remove make_single

2019-05-27 Ismael Luceno <ismael@sourcemage.org>
	* BUILD: Added missing dependency on zlib
	* BUILD, INSTALL: Overriden tooldir, to avoid /usr/${target}/*

2019-05-18 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: Update dependency; s/gettext/GETTEXT/

2019-02-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.32
	* PRE_BUILD, patches/elflink.patch: dropped, fixed in upstream

2019-01-19  Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: delete gnupg

2018-12-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: PATCHLEVEL=1
	* PRE_BUILD patches/*: added
	  apply upstream patch commit 48e30f5238c70e738f44474d595c476ef4e4ec38

2018-07-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.31,1

2018-07-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.31

2018-02-11 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: got back the gpg checking, upstream reuploaded the
	  right signature

2018-01-27 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.30, added sourceware mirror, http -> https,
	  switched to UPSTREAM_HASH, new public key is unavailable

2017-09-25 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.29.1

2017-07-24 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.29, bz2 > xz

2017-03-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 2.28

2016-08-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.27

2016-07-19 Pavel Vinogradov <public@sourcemage.org>
	* *SUB_DEPENDS: fixed LIBERTY checks

2016-07-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.26.1

2016-03-17 Thomas Orgis <sobukus@sourcemage.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS: Add sub-dependecy for libiberty.

2016-01-31 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.26

2015-09-30 Jeremy Blosser <jblosser-smgl@firinn.org>
	* CONFIGURE, INSTALL: Add libiberty.a to that install, but ask about it
	  since it's not the upstream default.

2015-07-25 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 2.25.1

2015-04-14 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: PATCHLEVEL++

2015-04-14 Javier Vasquez <j.e.vasquez.v@gmail.com>
	* BUILD: Enabled build of gold, while keeping ld default

2014-12-26 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 2.25

2014-03-21 Remko van der Vossen <wich@sourcemage.org>
	* BUILD: remove temporary workaround, 2.24 fixed the build failure

2013-12-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 2.24

2013-06-03 Vlad Glagolev <stealth@sourcemage.org>
	* UP_TRIGGERS: added, to fix migration for spells that require libbfd

2013-05-10 Remko van der Vossen <wich@sourcemage.org>
	* BUILD: temporary workaround for build failure with current texinfo

2013-03-29 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add mpfr, gmp, libmpc - optional gettext

2013-03-28 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 2.23.2

2013-01-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 2.13.1

2012-01-20 Thomas Orgis <sobukus@sourcemage.org>
	* INSTALL: install libiberty.h

2011-11-21 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.22

2011-08-28 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.21.1a; quoting paths; switched to upstream
	  gpg checking

2011-06-27 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.21.1

2010-12-09 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.21

2010-03-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.20.1

2009-10-19 Vlad Glagolev <stealth@sourcemage.org>
	* INSTALL: fixed anomality bug about leaving old version of ld;
	  multijob install disabled

2009-10-17 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.20

2009-02-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.19.1

2009-01-16 George Sherwood <gsherwood@sourcemage.org>
	* POST_REMOVE: Deleted.
	* PRE_REMOVE: Added to remove info entries.  Adjusted to 
	  proper entries.
	* REPAIR^d3e0564dae01c413e6723f6d49d0b472^POST_REMOVE: Repair 
	  tablet to not fail on dispel

2008-10-28 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.19, no public key yet so hash checking temporarily
	* PRE_BUILD, texinfo-4.11.patch: removed patch

2008-08-18 Ethan Grammatikidis <eekee57@fastmail.fm>
	* DETAILS: new WEB_SITE

2008-03-20 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Apply texinfo-4.11.patch
	* texinfo-4.11.patch: Upstream patch found by Stefan Schneider to fix
	  Bug #14015 (binutils cannot find makeinfo with texinfo > 4.9)

2007-09-26 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Found through Bug #14015 that texinfo (/usr/bin/makeinfo)
	  is required for binutils documentation, adding as dependency

2007-08-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.18

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2.

2006-06-24 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* BUILD: added --disable-werror so it builds #12741

2006-06-24 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.17

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-02-08 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on smgl-fhs (for directory structure)

2006-02-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on gnupg (for SOURCE verification)

2005-08-25 Jeremy Blosser <jblosser-smgl@firinn.org>
	* DETAILS: Added upstream GPG checking via gnu-verified.gpg.

2005-07-10 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD: build shared libs, not static ones; needed for oprofile and others.

2005-06-15 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PREPARE: removed, it was a gross hack
	* SOLO: added, fixes bug #9106

2005-06-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.16.1
	* PRE_BUILD, patches/*: removed, included in this version

2005-05-21 Thomas.Houssin <Thomas.Houssin@sourcemage.org>
	* PRE_BUILD, DETAILS : added patch to fix overflows on junk binaries
	  see http://bugs.gentoo.org/show_bug.cgi?id=91398
	  and http://sources.redhat.com/ml/binutils/2005-05/msg00330.html

2005-05-12 Andrew Stitt <astitt@sourcemage.org>
	* BUILD, INSTALL: Update to install into a chroot correctly, bug 8853.

2005-05-07 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 2.16
	* BUILD, DEPENDS, DETAILS: don't use gcc 3.4 anymore

2005-04-25 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, DEPENDS, DETAILS: use gcc 3.4

2005-03-17 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: downgrade to 2.15, 2.15.96 is broken for x86, see
	  bug #8431

2005-03-13 Seth Woolley <seth@tautology.org>
	* DETAILS: Updated to 2.15.96 for amd64 support.
	  This gets rid of BFD linking errors.

2004-09-01 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, INSTALL: converted to BUILD_API 2
	* POST_REMOVE: infodir is /usr/share/info

2004-05-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: 2.15
	  change SOURCEURL=GNU_URL

2004-02-10 hgg <hgreig@bigpond.net.au>
	* DETAILS: update to 2.14.90.0.8
	* SOLO: add file

2004-01-29 hgg <hgreig@bigpond.net.au>
	* BUILD: bug 5553 infodir and mandir switches

2004-01-28 hgg <hgreig@bigpond.net.au>
	* DEPENDS: add flex and bison as depends

2003-12-08 hgg <hgreig@bigpond.net.au>
	* DETAILS: update to 2.14.90.0.7

2003-12-01 Eric Sandall <sandalle@sourcemage.org>
	* BUILD,POST_REMOVE: Use INSTALL_ROOT

2003-11-17 hgg <hgreig@bigpond.net.au>
	* BUILD,PREPARE,DETAILS: hack to add as and ld to $PROTECTED so it can use
	  prepare_install and add SPELL to solo if it doesn't exist

2003-06-19 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update to 2.14

2003-04-08 M.L. <mlubrano@sourcemage.org>
	* BUILD: Added $OPTS

2003-01-07 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 2.13.2.1.

2002-11-10 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 2.13.1.

2002-10-03 Julian v. Bock <julian@wongr.net>
	* DETAILS: add LICENSE and MD5 fields.

2002-08-06 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 2.13.

2002-05-24 Julian v. Bock <julian@wongr.net>
	* BUILD: remove tooldir options; execute only make install
	  to install the software.

2002-05-17 Julian v. Bock <julian@wongr.net>
	* DETAILS: set version to 2.12.1; change SOURCE to .tar.bz2;
	  add ftp://sources.redhat.com as second download URL.

2002-04-08 Julian v. Bock <julian@wongr.net>
	* BUILD: don't build in srcdir (thanks to Jason Flatt).

2002-03-19 Julian v. Bock <julian@wongr.net>
	* DETAILS: update version to 2.12.
	* BUILD: don't use prepare_install.

